document.addEventListener("contextmenu", e => {
    e.preventDefault();
});

document.addEventListener("keydown", e => {

    if (e.key === "F12") {
        e.preventDefault();
    }

    if (e.ctrlKey && e.shiftKey && e.key === "I") {
        e.preventDefault();
    }

    if (e.ctrlKey && e.shiftKey && e.key === "J") {
        e.preventDefault();
    }

    if (e.ctrlKey && e.key.toLowerCase() === "u") {
        e.preventDefault();
    }

    if (e.ctrlKey && e.shiftKey && e.key === "C") {
        e.preventDefault();
    }

});

setInterval(() => {

    const threshold = 160;

    if (
        window.outerWidth - window.innerWidth > threshold ||
        window.outerHeight - window.innerHeight > threshold
    ) {
        document.body.innerHTML = "";
        window.location.href = "/Security.php";
    }

}, 1000);